package com.sxtvs.open.api.clue.controller;

import com.sxtvs.open.core.sls.AliyunLogger;
import jakarta.annotation.Resource;
import jakarta.servlet.http.HttpServletResponse;
import org.springframework.http.MediaType;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.*;

import java.io.IOException;

@Controller
@RequestMapping("clue")
public class WxClueController {

    @Resource
    private AliyunLogger logger;

    @GetMapping(value = "wx_create")
    public void wxCreate(@RequestParam("echostr") String echostr,
                         @RequestParam("timestamp") String timestamp,
                         @RequestParam("signature ") String signature ,
                         @RequestParam("nonce ") String nonce ,
                         HttpServletResponse response) throws IOException {
        response.getWriter().write(echostr);

    }

    @PostMapping(value = "wx_create", produces = MediaType.APPLICATION_XML_VALUE)
    public void wxCreate(@RequestBody(required = false) Object wxXml,
                         HttpServletResponse response) throws IOException {

        logger.info("wx xml", wxXml);

    }
}
